<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/adc.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">adc.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d19/adc_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __ADC_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __ADC_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga23ef4c2a5a02ab838dce57a50f4c57c0">   33</a></span><span class="preprocessor">#define ADC_CH_0_MASK                    (1UL &lt;&lt; 0)                  </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab07f9bc9fc108ab554cd89f73a5147d6">   34</a></span><span class="preprocessor">#define ADC_CH_1_MASK                    (1UL &lt;&lt; 1)                  </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad1a0193e4d0384c3c00089f5d2a577f5">   35</a></span><span class="preprocessor">#define ADC_CH_2_MASK                    (1UL &lt;&lt; 2)                  </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf0e5022c31cdb7cb79330ce4c0e82db4">   36</a></span><span class="preprocessor">#define ADC_CH_3_MASK                    (1UL &lt;&lt; 3)                  </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1b7b56e7bbe932279c354bed939553e5">   37</a></span><span class="preprocessor">#define ADC_CH_4_MASK                    (1UL &lt;&lt; 4)                  </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga80605e72245899c4ef5b43c0459cbc5d">   38</a></span><span class="preprocessor">#define ADC_CH_5_MASK                    (1UL &lt;&lt; 5)                  </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4d54f405d07a0af1cc9d0805c63dff14">   39</a></span><span class="preprocessor">#define ADC_CH_6_MASK                    (1UL &lt;&lt; 6)                  </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2a354609805b478e54ec33a6bb2cf2e4">   40</a></span><span class="preprocessor">#define ADC_CH_7_MASK                    (1UL &lt;&lt; 7)                  </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1549b2ef23859ebe43510141fd26fee5">   41</a></span><span class="preprocessor">#define ADC_CH_14_MASK                   (1UL &lt;&lt; 14)                 </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaff4a11c6db5395d775b898ae2a215694">   42</a></span><span class="preprocessor">#define ADC_CH_15_MASK                   (1UL &lt;&lt; 15)                 </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga23340a5ff5c6d0b194b1e43ec101b68d">   43</a></span><span class="preprocessor">#define ADC_CH_16_MASK                   (1UL &lt;&lt; 16)                 </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac6406f172ce4b2bfb344c416100a4cba">   44</a></span><span class="preprocessor">#define ADC_CH_17_MASK                   (1UL &lt;&lt; 17)                 </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9e33149c3a801772c97c901cca6bdc00">   45</a></span><span class="preprocessor">#define ADC_ADCHER_CHEN_Msk              (0x3FFFF)                   </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacf4de31eb68fc1ba3ed5dbaf7d9ca88">   46</a></span><span class="preprocessor">#define ADC_PDMADATA_AD_PDMA_Msk         (0xFFF)                     </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab680e42784b0cef09b59dd50cdd925f5">   47</a></span><span class="preprocessor">#define ADC_CMP_LESS_THAN                (0UL)                       </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0982f22ea10167b3fbaeea4d7dff8c15">   48</a></span><span class="preprocessor">#define ADC_CMP_GREATER_OR_EQUAL_TO      (ADC_CMPR_CMPCOND_Msk)      </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab00b676b7a485e344250465c7379356c">   49</a></span><span class="preprocessor">#define ADC_TRIGGER_BY_EXT_PIN           (0UL)                       </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6406d16f2d4bcc5bd0f1f1f58f26850e">   50</a></span><span class="preprocessor">#define ADC_TRIGGER_BY_PWM               (ADC_CR_TRGS_Msk)           </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac867f900bb374976aa0d4822a628fb24">   51</a></span><span class="preprocessor">#define ADC_LOW_LEVEL_TRIGGER            (0UL &lt;&lt; ADC_CR_TRGCOND_Pos) </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad9cb831f2f2d15ab8001a8a717067e8">   52</a></span><span class="preprocessor">#define ADC_HIGH_LEVEL_TRIGGER           (1UL &lt;&lt; ADC_CR_TRGCOND_Pos) </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf7a0741d0522d5a08c1ae355cce24f02">   53</a></span><span class="preprocessor">#define ADC_FALLING_EDGE_TRIGGER         (2UL &lt;&lt; ADC_CR_TRGCOND_Pos) </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae3e21aed15e5d2625c55e335f3e940e8">   54</a></span><span class="preprocessor">#define ADC_RISING_EDGE_TRIGGER          (3UL &lt;&lt; ADC_CR_TRGCOND_Pos) </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">   55</a></span><span class="preprocessor">#define ADC_ADF_INT                      (ADC_SR_ADF_Msk)            </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">   56</a></span><span class="preprocessor">#define ADC_CMP0_INT                     (ADC_SR_CMPF0_Msk)          </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">   57</a></span><span class="preprocessor">#define ADC_CMP1_INT                     (ADC_SR_CMPF1_Msk)          </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5312e8592972218813632ce7bae2ecc8">   58</a></span><span class="preprocessor">#define ADC_INPUT_MODE_SINGLE_END        (0UL &lt;&lt; ADC_CR_DIFF_Pos)    </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ab848515c3d4eb8421bd8c6913b6200">   59</a></span><span class="preprocessor">#define ADC_INPUT_MODE_DIFFERENTIAL      (1UL &lt;&lt; ADC_CR_DIFF_Pos)    </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a8da55983dd1c0c5d30a530795d632f">   60</a></span><span class="preprocessor">#define ADC_OPERATION_MODE_SINGLE        (0UL &lt;&lt; ADC_CR_ADMD_Pos)    </span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga220e0c1a2ae8dd018d0546098f96ccaf">   61</a></span><span class="preprocessor">#define ADC_OPERATION_MODE_SINGLE_CYCLE  (2UL &lt;&lt; ADC_CR_ADMD_Pos)    </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae44f6fee52359f107391832c2cb7dccd">   62</a></span><span class="preprocessor">#define ADC_OPERATION_MODE_CONTINUOUS    (3UL &lt;&lt; ADC_CR_ADMD_Pos)    </span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga06ef86912f77ebf94be3a44f132721d9">   63</a></span><span class="preprocessor">#define ADC_DMODE_OUT_FORMAT_UNSIGNED    (0UL &lt;&lt; ADC_CR_DIFF_Pos)    </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga48754a74a3752bf3bd54d94996228fc2">   64</a></span><span class="preprocessor">#define ADC_DMODE_OUT_FORMAT_2COMPLEMENT (1UL &lt;&lt; ADC_CR_DIFF_Pos)    </span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab371cc05d3a11bfc2c974bd1650119d8">   65</a></span><span class="preprocessor">#define ADC_RESSEL_6_BIT                 (0UL &lt;&lt; ADC_CR_RESSEL_Pos)  </span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4fc7d81905eb914773e9906f7101af8d">   66</a></span><span class="preprocessor">#define ADC_RESSEL_8_BIT                 (1UL &lt;&lt; ADC_CR_RESSEL_Pos)  </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac3ed3da7b8f106c4d9dba228ae2e5fb5">   67</a></span><span class="preprocessor">#define ADC_RESSEL_10_BIT                (2UL &lt;&lt; ADC_CR_RESSEL_Pos)  </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8fe8177a5b176f0d726252b9e3660177">   68</a></span><span class="preprocessor">#define ADC_RESSEL_12_BIT                (3UL &lt;&lt; ADC_CR_RESSEL_Pos)  </span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga14331967f600e1833f4d538b0bfe3d00">   69</a></span><span class="preprocessor">#define ADC_REFSEL_POWER                 (0UL &lt;&lt; ADC_CR_REFSEL_Pos)  </span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5f30f308226aec918ed9af4eb62e391">   70</a></span><span class="preprocessor">#define ADC_REFSEL_INT_VREF              (1UL &lt;&lt; ADC_CR_REFSEL_Pos)  </span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadfa90b668282f1f962d53a583bda9d15">   71</a></span><span class="preprocessor">#define ADC_REFSEL_VREF                  (2UL &lt;&lt; ADC_CR_REFSEL_Pos)   </span><span class="comment">/* end of group NANO1X2_ADC_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348ede2ad296ea3bd6d1762e5a40792c">   87</a></span><span class="preprocessor">#define ADC_GET_CONVERSION_DATA(adc, u32ChNum) ((ADC-&gt;RESULT[u32ChNum]) &amp; ADC_RESULT_RSLT_Msk)</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga708c39981374e8a7521a76bfa4b8ff3d">   99</a></span><span class="preprocessor">#define ADC_GET_INT_FLAG(adc, u32Mask) (ADC-&gt;SR &amp; (u32Mask))</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga468c4f6f057eaac800914c0b11a1637a">  111</a></span><span class="preprocessor">#define ADC_CLR_INT_FLAG(adc, u32Mask) (ADC-&gt;SR = (ADC-&gt;SR &amp; ~(ADC_SR_ADF_Msk | \</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="preprocessor">                                                                       ADC_SR_CMPF0_Msk | \</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span><span class="preprocessor">                                                                       ADC_SR_CMPF1_Msk)) | (u32Mask))</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc0053e6e706e74676beb837989c8a19">  123</a></span><span class="preprocessor">#define ADC_IS_BUSY(adc) (ADC-&gt;SR &amp; ADC_SR_BUSY_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35ce5b09aaa4fa7f4f80da7db939a6cf">  134</a></span><span class="preprocessor">#define ADC_IS_DATA_OVERRUN(adc, u32ChNum) (ADC-&gt;RESULT[u32ChNum] &amp; ADC_RESULT_OVERRUN_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4fb6ce4b41601827dd291a283fee1b9">  145</a></span><span class="preprocessor">#define ADC_IS_DATA_VALID(adc, u32ChNum) (ADC-&gt;RESULT[u32ChNum] &amp; ADC_RESULT_VALID_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21a643f0dc98000be2a75e949a4ab13b">  153</a></span><span class="preprocessor">#define ADC_POWER_DOWN(adc) (ADC-&gt;CR &amp;= ~ADC_CR_ADEN_Msk)</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga781f92e0e406d725fbc8b475545e4804">  161</a></span><span class="preprocessor">#define ADC_POWER_ON(adc) \</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span><span class="preprocessor">do { \</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span><span class="preprocessor">  ADC-&gt;CR |= ADC_CR_ADEN_Msk; \</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="preprocessor">  while ((!(ADC-&gt;SR &amp; ADC_SR_INITRDY_Msk)) || (!(ADC-&gt;PWRCTL &amp; ADC_PWRCTL_PWUPRDY_Msk))); \</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="preprocessor">} while(0)</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1c57f56dff82e5fe93379d5a5d541901">  182</a></span><span class="preprocessor">#define ADC_ENABLE_CMP0(adc, \</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span><span class="preprocessor">                        u32ChNum, \</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span><span class="preprocessor">                        u32Condition, \</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span><span class="preprocessor">                        u32Data, \</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span><span class="preprocessor">                        u32MatchCount) (ADC-&gt;CMPR0 = ((u32ChNum) &lt;&lt; ADC_CMPR_CMPCH_Pos) | \</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span><span class="preprocessor">                                                                   (u32Condition) | \</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span><span class="preprocessor">                                                                   ((u32Data) &lt;&lt; ADC_CMPR_CMPD_Pos) | \</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span><span class="preprocessor">                                                                   (((u32MatchCount) - 1) &lt;&lt; ADC_CMPR_CMPMATCNT_Pos) |\</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="preprocessor">                                                                   ADC_CMPR_CMPEN_Msk)</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9488cca5de5aac395872d0cd0174054">  197</a></span><span class="preprocessor">#define ADC_DISABLE_CMP0(adc) (ADC-&gt;CMPR0 = 0)</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga54a951c643d6f36f9b09c401d2d5c69f">  214</a></span><span class="preprocessor">#define ADC_ENABLE_CMP1(adc, \</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span><span class="preprocessor">                        u32ChNum, \</span></div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="preprocessor">                        u32Condition, \</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span><span class="preprocessor">                        u32Data, \</span></div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span><span class="preprocessor">                        u32MatchCount) (ADC-&gt;CMPR1 = ((u32ChNum) &lt;&lt; ADC_CMPR_CMPCH_Pos) | \</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span><span class="preprocessor">                                                                   (u32Condition) | \</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span><span class="preprocessor">                                                                   ((u32Data) &lt;&lt; ADC_CMPR_CMPD_Pos) | \</span></div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span><span class="preprocessor">                                                                   ((u32MatchCount - 1) &lt;&lt; ADC_CMPR_CMPMATCNT_Pos) |\</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span><span class="preprocessor">                                                                   ADC_CMPR_CMPEN_Msk)</span></div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span> </div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf1151fa0624c494ea2b25aa845fd5b13">  229</a></span><span class="preprocessor">#define ADC_DISABLE_CMP1(adc) (ADC-&gt;CMPR1 = 0)</span></div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga397f75687c2af60f55f2ad2a6f3fecef">  238</a></span><span class="preprocessor">#define ADC_SET_INPUT_CHANNEL(adc, u32Mask) (ADC-&gt;CHEN = (ADC-&gt;CHEN &amp; ~ADC_ADCHER_CHEN_Msk) | (u32Mask))</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc4222d33d064592ddb8443a80762b62">  246</a></span><span class="preprocessor">#define ADC_START_CONV(adc) (ADC-&gt;CR |= ADC_CR_ADST_Msk)</span></div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4d920efefa341fd66884a04964d2e217">  254</a></span><span class="preprocessor">#define ADC_STOP_CONV(adc) (ADC-&gt;CR &amp;= ~ADC_CR_ADST_Msk)</span></div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0568dc2323b5564158bae10f0c478aea">  265</a></span><span class="preprocessor">#define ADC_SET_DMOF(adc, u32Format) (ADC-&gt;CR = (ADC-&gt;CR &amp; ~ADC_CR_DIFF_Msk) | u32Format)</span></div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span> </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac069e591bd47957cc153a824af8423e6">  278</a></span><span class="preprocessor">#define ADC_SET_RESOLUTION(adc, u32Resolution) (ADC-&gt;CR = (ADC-&gt;CR &amp; ~ADC_CR_RESSEL_Msk) | u32Resolution)</span></div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span> </div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa5fdf013a5f635eaa71b7ec84b67c7f3">  290</a></span><span class="preprocessor">#define ADC_SET_REF_VOLTAGE(adc, u32Ref) (ADC-&gt;CR = (ADC-&gt;CR &amp; ~ADC_CR_REFSEL_Msk) | u32Ref)</span></div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span> </div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga171678965668dbb4d587bea0dc18b633">  300</a></span><span class="preprocessor">#define ADC_SET_POWERDOWN_MODE(adc, u32Mode, u32CalEn) \</span></div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span><span class="preprocessor">    ADC-&gt;PWRCTL = (ADC-&gt;PWRCTL &amp; ~(ADC_PWRCTL_PWDMOD_Msk | ADC_PWRCTL_PWDCALEN_Msk)) \</span></div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span><span class="preprocessor">    | (u32Mode &lt;&lt; ADC_PWRCTL_PWDMOD_Pos) | (u32CalEn &lt;&lt; ADC_PWRCTL_PWDCALEN_Pos)</span></div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span> </div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga960dfb0fb779448f637e923438234c5d">  310</a></span><span class="preprocessor">#define ADC_ENABLE_PDMA(adc) (ADC-&gt;CR |= ADC_CR_PTEN_Msk)</span></div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span> </div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacaca87c24cb715dad2392317bcda85dd">  318</a></span><span class="preprocessor">#define ADC_DISABLE_PDMA(adc) (ADC-&gt;CR &amp;= ~ADC_CR_PTEN_Msk)</span></div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span> </div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf1fd411c480e912a171191312fe46853">  326</a></span><span class="preprocessor">#define ADC_GET_PDMA_DATA(adc) (ADC-&gt;PDMA &amp; ADC_PDMADATA_AD_PDMA_Msk)</span></div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span> </div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>              uint32_t u32InputMode,</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span>              uint32_t u32OpMode,</div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span>              uint32_t u32ChMask);</div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc);</div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span>                         uint32_t u32Source,</div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>                         uint32_t u32Param);</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc);</div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3bc36c0a0554723f815fca2afe66671f">ADC_EnableTimerTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>                            uint32_t u32Source,</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>                            uint32_t u32PDMACnt);</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9527ef6a552d887f6e530fa008176057">ADC_DisableTimerTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc);</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>                            uint32_t u32ChNum,</div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>                            uint32_t u32SampleTime);</div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask);</div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask);</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span> </div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span> </div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span> <span class="comment">/* end of group NANO1X2_ADC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span> <span class="comment">/* end of group NANO1X2_ADC_Driver */</span></div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span> </div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span>}</div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span> </div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span><span class="preprocessor">#endif </span><span class="comment">//__ADC_H__</span></div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span> </div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3bc36c0a0554723f815fca2afe66671f"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3bc36c0a0554723f815fca2afe66671f">ADC_EnableTimerTrigger</a></div><div class="ttdeci">void ADC_EnableTimerTrigger(ADC_T *adc, uint32_t u32Source, uint32_t u32PDMACnt)</div><div class="ttdoc">Config and enable timer trigger.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00116">adc.c:116</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga685b6f8aa3a0f1fea8992f0f105e7241"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a></div><div class="ttdeci">void ADC_EnableHWTrigger(ADC_T *adc, uint32_t u32Source, uint32_t u32Param)</div><div class="ttdoc">Configure the hardware trigger condition and enable hardware trigger.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00081">adc.c:81</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga68854f8ea2f77c73a8cf029034ec4885"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a></div><div class="ttdeci">void ADC_Close(ADC_T *adc)</div><div class="ttdoc">Disable ADC module.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00059">adc.c:59</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6adcefbb9e5bc5aa9ea0741d028532fd"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a></div><div class="ttdeci">void ADC_SetExtraSampleTime(ADC_T *adc, uint32_t u32ChNum, uint32_t u32SampleTime)</div><div class="ttdoc">Configure the hardware trigger condition and enable hardware trigger.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00145">adc.c:145</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7033da903c767e3fcd564d1695a43fac"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a></div><div class="ttdeci">void ADC_Open(ADC_T *adc, uint32_t u32InputMode, uint32_t u32OpMode, uint32_t u32ChMask)</div><div class="ttdoc">This API configures ADC module to be ready for convert the input from selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00041">adc.c:41</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7064e6cb526c985efcdb85a4644c5d4e"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a></div><div class="ttdeci">void ADC_DisableInt(ADC_T *adc, uint32_t u32Mask)</div><div class="ttdoc">Disable the interrupt(s) selected by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00190">adc.c:190</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9527ef6a552d887f6e530fa008176057"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9527ef6a552d887f6e530fa008176057">ADC_DisableTimerTrigger</a></div><div class="ttdeci">void ADC_DisableTimerTrigger(ADC_T *adc)</div><div class="ttdoc">Disable timer trigger ADC function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00131">adc.c:131</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9703215cf92463b8c79f486aa6270ca8"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a></div><div class="ttdeci">void ADC_DisableHWTrigger(ADC_T *adc)</div><div class="ttdoc">Disable hardware trigger ADC function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00103">adc.c:103</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa17b8a283b2eebe8bfb193056c7fed35"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a></div><div class="ttdeci">void ADC_EnableInt(ADC_T *adc, uint32_t u32Mask)</div><div class="ttdoc">Enable the interrupt(s) selected by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00167">adc.c:167</a></div></div>
<div class="ttc" id="astruct_a_d_c___t_html"><div class="ttname"><a href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00378">Nano1X2Series.h:379</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
